import { StackProps } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface AmplifyExportedBackendProps extends StackProps {
    /**
     * The Amplify CLI environment deploy to The amplify backend requires a stage to deploy.
     *
     * @default is 'dev'
     * @stability stable
     */
    readonly amplifyEnvironment?: string;
    /**
     * The path to the exported folder that contains the artifacts for the Amplify CLI backend ex: ./amplify-synth-out/.
     *
     * @stability stable
     */
    readonly path: string;
}
